commit e7ec503729970a03d4509921342bc81313976126
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Tue Jul 12 22:14:04 2022 +0100

    Fix exit on attempt to rewrite a malformed address.  Bug 2903

diff --git a/src/src/rewrite.c b/src/src/rewrite.c
index bfd78b5f1..90614e626 100644
--- a/src/src/rewrite.c
+++ b/src/src/rewrite.c
@@ -497,15 +497,14 @@ while (*s)
 
   if (!recipient)
     {
-    /* Handle unparesable addresses in the header. Slightly ugly because a
+    /* Log unparesable addresses in the header. Slightly ugly because a
     null output from the extract can also result from a header without an
-    address, "To: undisclosed recpients:;" being the classic case. */
+    address, "To: undisclosed recpients:;" being the classic case. Ignore
+    this one and carry on. */
 
     if ((rewrite_rules || routed_old) && Ustrcmp(errmess, "empty address") != 0)
-      {
       log_write(0, LOG_MAIN, "rewrite: %s", errmess);
-      exim_exit(EXIT_FAILURE);
-      }
+
     loop_reset_point = store_reset(loop_reset_point);
     continue;
     }

